MONGOC_COLLECTION_FIND_INDEXES_WITH_OPTS(3)

NAME
mongoc_collection_find_indexes_with_opts - mongoc_collection_find_indexes_with_opts()

SYNOPSIS

        mongoc_cursor_t *
        mongoc_collection_find_indexes_with_opts (mongoc_collection_t *collection,
                                                  const bson_t *opts);

Fetches a cursor containing documents, each corresponding to an index on this collection.

PARAMETERS

    •   collection: A mongoc_collection_t.

    •   opts: A bson_t containing additional options.

ERRORS

Use mongoc_cursor_error on the returned cursor to check for errors.

RETURNS

A cursor where each result corresponds to the server's representation of an index on this collection. If the collection does not exist on the server, the cursor will be empty.

AUTHOR
MongoDB, Inc

COPYRIGHT
2018, MongoDB, Inc